
#include <stdio.h>
#include <stdlib.h>

int main(int argc, char* argv[])
{
  int i;
  int j;
  int w;
  int h;
  int stepx;
  int stepy;
  int incx;
  int incy;

  if (argc == 7)
  {
    sscanf (argv [1], "%i", &w);
    sscanf (argv [2], "%i", &h);

    sscanf (argv [3], "%i", &stepx);
    sscanf (argv [4], "%i", &stepy);

    sscanf (argv [5], "%i", &incx);
    sscanf (argv [6], "%i", &incy);
  }
  else
  {
    printf ("Syntax is: grid <width> <height> <step_x> <step_y> <incx> <incy>.\n");
    exit (1);
  }

  printf ("Unnamed %i %i %i %i\n\n", stepx, stepy, 0, 0);

  for (j = 0; (j + stepy) <= h; j += stepy)
  {
    for (i = 0; (i + stepx) <= w; i += stepx)
    {
      printf ("%i %i %i %i \n", i + incx, j + incy, 0, 0);
    }
    printf ("\n");
  }

  return 0;
}
